# https://developer.mozilla.org/en-US/docs/Web/HTML

from ._base import BaseHTMLElement, GlobalHTMLAttributes
from .a import A
from .abbr import Abbr
from .address import Address
from .area import Area
from .article import Article
from .aside import Aside
from .audio import Audio
from .b import B
from .bdi import Bdi
from .bdo import Bdo
from .blockquote import Blockquote
from .body import Body
from .br import Br
from .button import Button
from .canvas import Canvas
from .caption import Caption
from .cite import Cite
from .code import Code
from .col import Col
from .colgroup import Colgroup
from .data import Data
from .datalist import Datalist
from .dd import Dd
from .del_ import Del
from .details import Details
from .dfn import Dfn
from .dialog import Dialog
from .div import Div
from .dl import Dl
from .dt import Dt
from .em import Em
from .embed import Embed
from .fieldset import Fieldset
from .figcaption import Figcaption
from .figure import Figure
from .footer import Footer
from .form import Form
from .h import H1, H2, H3, H4, H5, H6
from .head import Head
from .header import Header
from .hgroup import Hgroup
from .hr import Hr
from .html import Html
from .i import I
from .iframe import Iframe
from .img import Img
from .input import Input
from .ins import Ins
from .kbd import Kbd
from .label import Label
from .legend import Legend
from .li import Li
from .link import Link
from .main import Main
from .map import Map
from .mark import Mark
from .menu import Menu
from .meta import Meta
from .meter import Meter
from .nav import Nav
from .noscript import Noscript
from .object import Object
from .ol import Ol
from .optgroup import Optgroup
from .option import Option
from .output import Output
from .p import P
from .picture import Picture
from .pre import Pre
from .progress import Progress
from .q import Q
from .rp import Rp
from .rt import Rt
from .ruby import Ruby
from .s import S
from .samp import Samp
from .script import Script
from .search import Search
from .section import Section
from .select import Select
from .slot import Slot
from .small import Small
from .source import Source
from .span import Span
from .strong import Strong
from .style import Style
from .sub import Sub
from .summary import Summary
from .sup import Sup
from .table import Table
from .tbody import Tbody
from .td import Td
from .template import Template
from .textarea import Textarea
from .tfoot import Tfoot
from .th import Th
from .thead import Thead
from .time import Time
from .title import Title
from .tr import Tr
from .track import Track
from .u import U
from .ul import Ul
from .var import Var
from .video import Video
from .wbr import Wbr

__all__ = [
    "A",
    "Abbr",
    "Address",
    "Area",
    "Article",
    "Aside",
    "Audio",
    "B",
    "BaseHTMLElement",
    "Bdi",
    "Bdo",
    "Blockquote",
    "Body",
    "Br",
    "Button",
    "Canvas",
    "Caption",
    "Cite",
    "Code",
    "Col",
    "Colgroup",
    "Data",
    "Datalist",
    "Dd",
    "Del",
    "Details",
    "Dfn",
    "Dialog",
    "Div",
    "Dl",
    "Dt",
    "Em",
    "Embed",
    "Fieldset",
    "Figcaption",
    "Figure",
    "Footer",
    "Form",
    "GlobalHTMLAttributes",
    "H1",
    "H2",
    "H3",
    "H4",
    "H5",
    "H6",
    "Head",
    "Header",
    "Hgroup",
    "Hr",
    "Html",
    "I",
    "Iframe",  # TODO: Revisit this later
    "Img",
    "Input",  # TODO: Revisit this later
    "Ins",
    "Kbd",
    "Label",
    "Legend",
    "Li",
    "Link",  # TODO: Revisit this later
    "Main",
    "Map",
    "Mark",
    "Menu",
    "Meta",
    "Meter",
    "Nav",
    "Noscript",
    "Object",
    "Ol",
    "Optgroup",
    "Option",
    "Output",
    "P",
    "Picture",
    "Pre",
    "Progress",
    "Q",
    "Rp",
    "Rt",
    "Ruby",
    "S",
    "Samp",
    "Script",
    "Search",
    "Section",
    "Select",
    "Slot",
    "Small",
    "Source",
    "Span",
    "Strong",
    "Style",
    "Sub",
    "Summary",
    "Sup",
    "Table",
    "Tbody",
    "Td",
    "Template",
    "Textarea",
    "Tfoot",
    "Th",
    "Thead",
    "Time",
    "Title",
    "Tr",
    "Track",
    "U",
    "Ul",
    "Var",
    "Video",
    "Wbr",
]
